#ifdef GL_ES
    precision mediump float;
#endif

//下面varying开头的参数是从顶点着色器中传入的
varying vec4 v_color;
varying vec2 v_texCoords;

//定义了一个2d纹理
uniform sampler2D u_texture;
uniform mat4 u_projTrans;

//这个函数用于处理每个像素的信息，并传入到下一环节
void main() {
        vec3 color = texture2D(u_texture, v_texCoords).rgb;
        float gray = (color.r + color.g + color.b) / 3.0;
        vec3 grayscale = vec3(gray);

        gl_FragColor = vec4(grayscale, 1.0);
}