var talkHero;

var missionSlots=[1,2,3,5];
var missionTalkStart=[0,5,9,14];
var missionTalkEnd=[2,6,10,16];
var missionTalkIndo=[3,7,11,17];
var missionTalkDone=[4,8,13,18];

function init()
{
	Lib.setName("克里格");
	Lib.addText("我是这里的典狱长.到了这里,你就是圣主的奴仆了!我会给你安排任务.\n...");
	Lib.addText("我在研制提升力量的药剂,需要红蜘蛛的[腺体]做材料,但它们似乎不太听话.\n...");
	Lib.addText("去帮我收集5个来,准备好了吗?(J键确认)");
	Lib.addText("完成任务了吗,你怎么还不快去?记住是5个红蜘蛛的[腺体].");
	Lib.addText("看来你还有点用处,这是你的报酬.");
	
	
	//5
	Lib.addText("你以为杀掉几个蜘蛛就很厉害了吗?");
	Lib.addText("想获得任务就要证明你的实力,敢不敢去杀10头蛮牛?(J键确认)");
	Lib.addText("这可不那么容易.");
	Lib.addText("圣主的眼光果然不错,我会安排真正的任务给你!");
	
	//9
	Lib.addText("蜘蛛已经没什么用处了,但那些畜生还在不断繁殖,这些试验品可能会惹出麻烦来.\n...");
	Lib.addText("我要你去杀了蜘蛛王,准备好了吗?(J键确认)");
	Lib.addText("怎么样,解决那个畜生了吗?");
	Lib.addText("真是麻烦,希望圣主还没有注意到.");
	Lib.addText("啊..终于,真是太好了.这是你的奖励.");
	
	//14
	Lib.addText("你一定也遇到了没有血肉的敌人,他们的力量来自未知领域.");
	Lib.addText("用他们的躯壳提取力量,或许可以找出来源.");
	Lib.addText("需要收集10颗骷髅头骨才有足够的力量办到.(J键确认)");
	Lib.addText("怎么,他们不好对付么.");
	Lib.addText("很好,我试试...这力量的源头...啊!发现了...是地下城!");
}

function near(hero)
{
	var dialog=false;
	for(var i=0;i<missionSlots.length;i++ )
	{
		var record=Lib.getRecord(missionSlots[i]);
		//未领取的任务
		if(record==0)
		{
			Lib.changeDialogId(missionTalkStart[i]);
			dialog=true;
			break;
		}
		//已领取未完成
		else if(record==1)
		{
			Lib.changeDialogId(missionTalkIndo[i]);
			dialog=true;
			break;
		}
		//已领取，完成未交付
		else if(record==2)
		{
			Lib.changeDialogId(missionTalkDone[i]);
			dialog=true;
			break;
		}
	}
	
	if(dialog==true)
	{
		Lib.startTalk(hero);
		talkHero=hero;
	}
}

function toldConfirm(textId)
{
	
	for(var i=0;i<missionSlots.length;i++ )
	{
		//领任务对话流程
		if(textId>=missionTalkStart[i] && textId<missionTalkEnd[i])
		{
			Lib.changeDialogId(textId+1);
			Lib.startTalk(talkHero);
			return;
		}
		//领任务确认
		else if(textId==missionTalkEnd[i])
		{
			Lib.setRecord(missionSlots[i],1);
			Lib.stopTalk(talkHero);
			return;
		}
	}
	
	//蜘蛛任务奖励
	if(textId==4)
	{
		Lib.changeDialogId(5);
		Lib.removeEquipment(51,5);
		Lib.addCoins(15);
		Lib.setRecord(1,3);
		Lib.stopTalk(talkHero);
	}
	//蛮牛任务结束
	else if(textId==8)
	{
		Lib.setRecord(2,3);
		Lib.stopTalk(talkHero);
	}
	//蜘蛛王任务奖励
	else if(textId==13)
	{
		Lib.setRecord(3,3);
		Lib.addChest();
		Lib.stopTalk(talkHero);
	}
	//地下城的线索
	else if(textId==18)
	{
		Lib.setRecord(5,3);
		Lib.removeEquipment(52,10);
		Lib.callUndergroudPortal();
		Lib.stopTalk(talkHero);
	}
	
}

